  { Before running this demo, you should install the TPicClip component
    onto the component palette.

    The component code is in the PicClip.pas unit.  }
unit fredtop;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, PicClip;

type
  TForm1 = class(TForm)
    PicClip1: TPicClip;
    Image1: TImage;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Timer1Timer(Sender: TObject);
const
     x:Integer=0;
begin
  { Before running this demo, you should
    install the TPicClip component onto
    the component palette.

    The component code is in the
    PicClip.pas unit.  }
  Image1.Picture := PicClip1.GraphicCell[x];
  x := x + 1;
  if x = 17 then x := 0;
end;

end.
